#define BLACK   0x00                    /* foreground */
#define RED     0x04                    /* background */
#define GREEN   0x02                    /* colors */
#define YELLOW  0x06                    /* bg << 4 | fg */
#define BLUE    0x01
#define MAGENTA 0x05
#define CYAN    0x03
#define WHITE   0x07
#define BLINK   0x80
#define BOLD    0x08
#define NDISPB  0x00                    /* non display black */
#define NDISPW  0x77                    /* non display white */
#define RVIDEO  0x70                    /* reverse video */
#define UNLINE  0x01                    /* under line (BLUE) */

/* Values for special keys */

/*function keys*/
#define K_F1  315
#define K_F2  316
#define K_F3  317
#define K_F4  318
#define K_F5  319
#define K_F6  320
#define K_F7  321
#define K_F8  322
#define K_F9  323
#define K_F10 324

/*shifted function keys*/
#define K_SF1  340
#define K_SF2  341
#define K_SF3  342
#define K_SF4  343
#define K_SF5  344
#define K_SF6  345
#define K_SF7  346
#define K_SF8  347
#define K_SF9  348
#define K_SF10 349

/*CONTROL function keys*/
#define K_CF1  350
#define K_CF2  351
#define K_CF3  352
#define K_CF4  353
#define K_CF5  354
#define K_CF6  355
#define K_CF7  356
#define K_CF8  357
#define K_CF9  358
#define K_CF10 359

/*ALT + function keys*/
#define K_AF1  360
#define K_AF2  361
#define K_AF3  362
#define K_AF4  363
#define K_AF5  364
#define K_AF6  365
#define K_AF7  366
#define K_AF8  367
#define K_AF9  368
#define K_AF10 369

/*alternate keys*/
#define K_ALTA 286
#define K_ALTB 304
#define K_ALTC 302
#define K_ALTD 288
#define K_ALTE 274
#define K_ALTF 289
#define K_ALTG 290
#define K_ALTH 291
#define K_ALTI 279
#define K_ALTJ 292
#define K_ALTK 293
#define K_ALTL 294
#define K_ALTM 306
#define K_ALTN 305
#define K_ALTO 280
#define K_ALTP 281
#define K_ALTQ 272
#define K_ALTR 275
#define K_ALTS 287
#define K_ALTT 276
#define K_ALTU 278
#define K_ALTV 303
#define K_ALTW 273
#define K_ALTX 301
#define K_ALTY 277
#define K_ALTZ 300

/* cursor keypad */
#define K_HOME	 327
#define K_END	 335
#define K_PGUP	 329
#define K_PGDN	 337
#define K_LEFT	 331
#define K_RIGHT  333
#define K_UP	 328
#define K_DOWN	 336

/*cntl + keypad*/
#define K_CHOME    375
#define K_CEND	   373
#define K_CPGUP    388
#define K_CPGDN    374
#define K_CLEFT    371
#define K_CRIGHT   372

/*misc special keys*/
#define K_ESC		 27
#define K_SPACE 	 32
#define K_INS		 338
#define K_DEL		 339
#define K_TAB		 9
#define K_BACKTAB	 15
#define K_RETURN	 13
#define K_ENTER 	 13
#define K_BACKSPACE  8


#define setatr(fg,bg,blink,bold) ((blink|(bg<<4))|(fg|bold))
#define setsize_w(trow,tcol,brow,bcol) (((brow-trow+1) * (bcol-tcol+1)) * 2)
#define setsize_ws(trow,tcol,brow,bcol) (((brow-trow+2) * (bcol-tcol+2)) * 2)

